The «[**Backend Login Autocomplete**](https://mage2.pro/t/124)» extension for Magento 2 makes the standard Magento 2 backend login form more useful in modern browsers (like Google Chrome).

The default Magento 2 backend login form behaviour in Google Chrome is very odd and is shown below:

![](https://mage2.pro/uploads/default/original/1X/e88546cad209a8f0d0074aa9ed2da0de96ab1de1.png)

As you can see, the behaviour is inconsistent: the «**Username**» field is not autocompleted, but the «**Password**» field is autocompleted (sometimes with a wrong value).

The «**Backend Login Autocomplete**» extension makes the backend login form behaviour more consistent and configurable.
It adds an option to enable or disable autocomplete for the backend login form:

![](https://mage2.pro/uploads/default/original/1X/525b2a36af6b0cbfaee4a6f6f3c6b2a346574538.png)

![](https://mage2.pro/uploads/default/original/1X/9bb527ababb6b6d86ed5bee2381269b2f9a88ba1.png)

![](https://mage2.pro/uploads/default/original/1X/821d029ce8276012d9ef38b17070e33815135cbc.png)

## Video
https://www.youtube.com/watch?v=LRYGj0Q5rag

## How to install
```
composer require mage2pro/backend-login-autocomplete:*
bin/magento setup:upgrade
rm -rf pub/static/* && bin/magento setup:static-content:deploy <locale, e.g.: en_GB>
rm -rf var/di var/generation && bin/magento setup:di:compile
```
If you have some problems while executing these commands, then check the [detailed instruction](https://mage2.pro/t/263).

## Support
- [The extension's **forum** branch](https://mage2.pro/t/124).
- [Where and how to report a Mage2.PRO extension's issue?](https://mage2.pro/t/2034)
- I also provide a **[generic Magento 2 support](https://mage2.pro/t/topic/755)** and [Magento 2 installation service](https://mage2.pro/t/748).

## Want to be notified about the extension's updates?
- [Subscribe](https://mage2.pro/t/2540) to the extension's [forum branch](https://mage2.pro/t/124).
- Subscribe to my [Twitter](https://twitter.com/mage2_pro) and [YouTube](https://www.youtube.com/channel/UCvlDAZuj01_b92pzRi69LeQ) channels.

## Need a new feature?
I provide the [**customization service**](https://mage2.pro/t/2020) for my payment extensions.

## Need a payment extension for Magento 2?

- «[**2Checkout**](https://mage2.pro/c/extensions/2checkout)» payment extension
- «[**歐付寶 allPay**](https://mage2.pro/c/extensions/allpay)» payment extension (Taiwan)
- «[**Checkout.com**](https://mage2.pro/c/extensions/checkout-com)» payment extension
- «[**Ginger Payments**](https://mage2.pro/c/extensions/ginger-payments)» extension (the Netherlands, Belgium).
- «[**iyzico**](https://mage2.pro/c/extensions/iyzico)» payment extension (Turkey)
- «[**Kassa Compleet**](https://mage2.pro/c/extensions/kassa-compleet)» payment extension by ING Bank (the Netherlands).
- «[**Klarna**](https://mage2.pro/c/extensions/klarna)» payment extension (Austria, Denmark, Finland, Germany, Norway, Sweden)
- «[**Omise**](https://mage2.pro/c/extensions/omise)» payment extension (Thailand, Japan)
- «[**Paymill**](https://mage2.pro/c/extensions/paymill)» payment extension (the European Union)
- «[**SecurePay**](https://mage2.pro/c/extensions/securepay)» payment extension (Australia)
- «[**Spryng**](https://mage2.pro/c/extensions/spryng)» payment extension (the European Union)
- «[**Square**](https://mage2.pro/c/extensions/square)» payment extension (USA, Canada)
- «[**Stripe**](https://mage2.pro/c/extensions/stripe)» payment extension

## See also my other Magento 2 extensions:

- «[**Price Format**](https://mage2.pro/c/extensions/price-format)» (set a custom display format for the prices and other currency values: discounts, taxes, sales amounts).
- «[**Sales Documents Numeration**](https://mage2.pro/c/extensions/sales-documents-numeration)» (use a custom numeration for the sales documents: orders, invoices, shipments, and credit memos).
- «[**Login with Amazon**](https://mage2.pro/c/extensions/amazon-login)» (a single sign-on extension). 
- «[**Backend Login with Google Account**](https://mage2.pro/c/extensions/google-backend-login)» (a single sign-on extension for the Magento 2 backend). 
- «[**Facebook Login**](https://mage2.pro/c/extensions/facebook-login)» (a single sign-on extension).
- «[**Blackbaud NetCommunity**](https://mage2.pro/c/extensions/blackbaud-netcommunity)» (an  integration with an online fundraising software).  
- «[**Markdown Editor**](https://mage2.pro/c/extensions/markdown)» (an alternative content editor for the Magento 2 backend).
- «[**Twitter Timeline**](https://mage2.pro/c/extensions/twitter-timeline)» (shows your latest tweets in your store's frontend sidebar).
- «[**Facebook Like & Share**](https://mage2.pro/c/extensions/facebook-like)» (shows the Facebook's «Like» and «Share» buttons on the frontend product pages).

## Need a custom payment extension?
I provide a [custom payment gateway integration service](https://mage2.pro/t/917).

